Mail archive
alpine-devel

[alpine-devel] [PATCH] testing/scapy: new aport

From: Paul Kilar <pkilar_at_gmail.com>
Date: Wed, 28 Aug 2013 11:54:10 -0400

http://www.secdev.org/projects/scapy/
Scapy is a powerful interactive packet manipulation program written in Python.
---
 testing/scapy/APKBUILD | 39 +++++++++++++++++++++++++++++++++++++++
 1 file changed, 39 insertions(+)
 create mode 100644 testing/scapy/APKBUILD
diff --git a/testing/scapy/APKBUILD b/testing/scapy/APKBUILD
new file mode 100644
index 0000000..3eea19a
--- /dev/null
+++ b/testing/scapy/APKBUILD
_at_@ -0,0 +1,39 @@
+# Contributor: Paul Kilar <pkilar_at_gmail.com>
+# Maintainer: Paul Kilar <pkilar_at_gmail.com>
+pkgname=scapy
+pkgver='2.1.0'
+pkgrel=0
+pkgdesc="Powerful interactive packet manipulation"
+url="http://www.secdev.org/projects/scapy/"
+arch="noarch"
+license="GPL3+"
+depends="python"
+depends_dev=""
+makedepends=""
+install=""
+subpackages="$pkgname-doc"
+source="http://www.secdev.org/projects/scapy/files/scapy-$pkgver.tar.gz"
+_builddir="$srcdir"/$pkgname-$pkgver
+
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$_builddir"
+	python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+md5sums="357b5b21ea3b4f289a326c0905b715c1  scapy-2.1.0.tar.gz"
+sha256sums="43ca233b0cfc950401193e2702ea32ee1dd83d4bab671371e322a7b6c52275ba  scapy-2.1.0.tar.gz"
+sha512sums="51153b922ea34f818523ecb679f4598404b692fc135e7cdbd356b3878c276d93229530107b47cbe59df25ef637e628eee1f48069b9d3128eb402dfe5871ecc2a  scapy-2.1.0.tar.gz"
-- 
1.8.2.3
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Wed Aug 28 2013 - 11:54:10 GMT